<template>
  <div
    class="overflow-scroll lg:overflow-hidden flex flex-col lg:flex-row items-center justify-start lg:justify-center gap-20 text-gray-100 dark:text-gray-300 bg-violet-400 dark:bg-violet-900"
  >
    <div class="hidden lg:block">
      <computer-desk :color="{'50': 'text-violet-50 dark:text-violet-100', '100': 'text-violet-100 dark:text-violet-300', '200': 'text-violet-200 dark:text-violet-500', '900': 'text-violet-900 dark:text-violet-700'}" />
    </div>
    <div>
      <header class="pb-2 mb-4 text-center lg:text-left border-b-2 lg:border-0">
        <h1 class="whitespace-normal sm:whitespace-nowrap lg:inline lg:border-b-2 text-5xl md:text-7xl lg:text-7xl px-2 w-full">Phillip Hemleb</h1>
      </header>
      <section class="flex flex-row gap-4 justify-around lg:justify-start">
        <a
            href="https://gitlab.com/phemleb"
            target="_blank"
            rel="external noopener noreferrer"
        >
          <font-awesome-icon :icon="['fab', 'gitlab']" size="lg" />
        </a>
        <a
            href="https://github.com/philliphemleb"
            target="_blank"
            rel="external noopener noreferrer"
        >
          <font-awesome-icon :icon="['fab', 'github']" size="lg" />
        </a>
        <a
            href="https://www.linkedin.com/in/phillip-hemleb-b5518a161/"
            target="_blank"
            rel="external noopener noreferrer"
        >
          <font-awesome-icon :icon="['fab', 'linkedin-in']" size="lg" />
        </a>
        <a href="mailto:phillip@hemleb.de">
          <font-awesome-icon :icon="['fas', 'envelope']" size="lg" />
        </a>
      </section>
      <section class="text-xl leading-relaxed my-8 lg:my-16">
        <p>
          Hey, my name is Phillip Hemleb, I am a Software Engineer apprentice based in Cologne, Germany.<br>
        </p>
        <p class="mt-8">
          I am currently in my apprenticeship as a software developer at the DocCheck Community GmbH.<br>
          Apart from working, I always look for new projects to work on where I can improve and extend my existing skill set.
        </p>
        <p class="mt-8">
          In my spare time I like to play video games or work on my projects for learning purposes.<br>
          When I'm not sitting at the PC I am most likely watching some movies and series or playing basketball with some friends.
        </p>
      </section>
      <div class="text-center lg:text-right text-xl">
        <router-link class="px-1 underline" :to="{ name: 'home' }"
        >Back to Homepage</router-link
        >
        <font-awesome-icon icon="long-arrow-alt-right" />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
import ComputerDesk from "../components/ComputerDesk_phillip.vue";

export default defineComponent({
  components: { ComputerDesk },
});
</script>

<style scoped></style>
